<?php
require 'conexion.php';

$nombre  = $_POST['nombre'];
$mensaje = $_POST['mensaje'];
$ip      = $_SERVER['REMOTE_ADDR'];

// FOTO
if (!empty($_FILES['foto']['name'])) {

    $nombreFinal = 'foto_' . time() . '.png';
    $rutaFinal = 'uploads/' . $nombreFinal;

    $foto = imagecreatefrompng($_FILES['foto']['tmp_name']);
    $marco = imagecreatefrompng('assets/marco.png');

    $w = imagesx($foto);
    $h = imagesy($foto);

    $marcoResize = imagecreatetruecolor($w, $h);
    imagesavealpha($marcoResize, true);
    imagefill($marcoResize, 0, 0, imagecolorallocatealpha($marcoResize, 0, 0, 0, 127));

    imagecopyresampled($marcoResize, $marco, 0, 0, 0, 0, $w, $h, imagesx($marco), imagesy($marco));
    imagecopy($foto, $marcoResize, 0, 0, 0, 0, $w, $h);

    imagepng($foto, $rutaFinal);

    imagedestroy($foto);
    imagedestroy($marco);
    imagedestroy($marcoResize);

} else {
    die("Foto requerida");
}

// AUDIO
$rutaAudio = null;
if (!empty($_FILES['audio']['name'])) {
    $ext = pathinfo($_FILES['audio']['name'], PATHINFO_EXTENSION);
    $rutaAudio = 'uploads/audio_' . time() . '.' . $ext;
    move_uploaded_file($_FILES['audio']['tmp_name'], $rutaAudio);
}

// DB
$stmt = $pdo->prepare("INSERT INTO recuerdos 
(nombre, mensaje, foto, audio, aprobado, ip) 
VALUES (?, ?, ?, ?, 0, ?)");

$stmt->execute([$nombre, $mensaje, $rutaFinal, $rutaAudio, $ip]);

header("Location: index.php?ok=1");
